package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.*;

import java.util.List;

/**
 * @author stayAnd
 * @date 2022/4/11
 */
public interface IVinCardService {

    VinCardInfoDTO queryVinCard(String vin);

    List<VinCardInfoDTO> queryVinCardList(List<String> vinList);

    /**
     * 车卡关系和卡校验
     *
     * @return
     */
    Response verifyVinCard(List<VinCardDTO> verifyDTOs);

}
